Mantis Bug Tracker
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023365Community[OCCT] OCCT:Visualizationpublic2012-08-02 00:102012-11-16 13:17
ReporterRoman Lygin 
Assigned ToRoman Lygin 
PrioritynormalSeveritymajor 
StatusclosedResolutionfixed 
PlatformLinuxOSRHEL/CentOSOS Version5.6
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023365: Name collision of global IsEqual() leads to overriding user's definition
DescriptionAIS_ConnectedShape.cxx defines a global IsEqual() function, which in run-time overrides user's definition of IsEqual() in completely different module.

This is Linux-specific behavior caused by global resolution. It is unclear why static symbol gets exported and redefines another symbol though.

See details on the forum - http://www.opencascade.org/org/forum/thread_23553/?forum=3. [^]
Additional information
and documentation updates
Recommendation to use NCollection containers is to use a hasher parameter (introduced in 6.5.3) instead of global definition of IsEqual()/HashCode(), and also use of explicit namespaces' to avoid name collision.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0021196)
Roman Lygin (developer)
2012-08-02 00:15

Fix pushed as CR23365
(0021200)
san (developer)
2012-08-03 16:04

Branch CR23365 reviewed without remarks, ready for testing.
(0021207)
mkv (tester)
2012-08-07 13:12

Dear BugMaster,

Branch CR23365 (and products from GIT master) was compiled on Linux and Windows platforms and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

- Related Changesets
occt: master f3fa1d35
Timestamp: 2012-08-01 20:14:05
Author: Roman Lygin
Details ] Diff ]
0023365: Name collision of global IsEqual() leads to overriding user's definition

Prevent name collision of global IsEqual()
mod - src/AIS/AIS_ConnectedShape.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-08-02 00:10 Roman Lygin New Issue
2012-08-02 00:10 Roman Lygin Assigned To => san
2012-08-02 00:15 Roman Lygin Note Added: 0021196
2012-08-02 00:15 Roman Lygin Status new => resolved
2012-08-03 16:04 san Note Added: 0021200
2012-08-03 16:04 san Assigned To san => bugmaster
2012-08-03 16:04 san Status resolved => reviewed
2012-08-07 13:12 mkv Note Added: 0021207
2012-08-07 13:13 mkv Test case number => Not needed
2012-08-07 13:13 mkv Status reviewed => tested
2012-08-10 10:32 bugmaster Target Version => 6.5.4
2012-08-13 15:38 rln Changeset attached => occt master f3fa1d35
2012-08-13 15:38 rln Assigned To bugmaster => rln
2012-08-13 15:38 rln Status tested => verified
2012-08-13 15:38 rln Resolution open => fixed
2012-08-31 11:58 aiv Assigned To rln => Roman Lygin
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker